Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Aggiornamento di sicurezza 1.4.19  (Read 5304 times)

0 Members and 1 Guest are viewing this topic.

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Aggiornamento di sicurezza 1.4.19
« on: August 06, 2008, 09:54:13 pm »

Il dev-team Coppermine ha appena messo a disposizione un aggiornamento di sicurezza per colmare una falla nella sicurezza scoperta nel codice, che permetterebbe d'infiltrarsi. È estremamente importante per tutti gli utenti della versione 1.4.18 (e anteriori) di aggiornare alla 1.4.19 al più presto possibile.
Questa è l'unica correzione aggiunta in questo aggiornamento.

Come aggiornare:
Se utilizzate la versione 1.4.18, potete applicare un patch alla vostra galleriea rimpiazzando il file include/functions.inc.php con la versione corretta che troverete cliccando qui..
La correzione manuale qui indicata, non fa altro che colmare la possibile vulnerabilità.

Gli utilizzatori di una versione precedente alla 1.4.18 devono aggiornare immediatamente scaricando l'ultima versione dalla pagina download e seguire le istruzioni descritte nella documentazione ufficiale (in inglese).

Supporto:
Se incontrate dei problemi con questo aggiornamento, non utilizzate questo post di annuncio, ma aprite un nuovo soggetto nel forum.

Perché aggiornare alla versione 1.4.19 ?
Questo aggiornamento colma una possibile vulnerabilità recentemente scoperta che potrebbe permettere l'esecuzione di codice a distanza. Inoltre le seguenti correzioni ne fanno parte:
  • Aggiornamento del file di lingua Danese
  • correzione dello spazio negli album vuoti
  • correzione della lista dei formulari in alcuni files
  • cancellazione dei <f> invalidi in upload.php
  • correzione del tipo di traduzione nei rapporti
  • correzione dell'uso delle risorse di cpu durante gli slideshow
  • Rimpiazzo delle catene "modifica keywords" codificate nel vivo e rimpiazzo ai richiami alle variabili dei file di lingua
  • Aggiunta della documentazione in spagnolo
  • correzione del bridge SMF
  • correzione del problema di verifica dell'indirizzo e-mail dal profilo

Ringraziamo EgiX e milw0rm che hanno scoperto la falla di sicurezza e Abbas Ali e Nibbler che l'hanno corretta.

The Coppermine Team

(annuncio ufficiale QUI
« Last Edit: August 08, 2008, 10:25:27 pm by Lontano »
Logged

Davide Renda

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 1427
  • aka "Lontano"
    • www.daviderenda.eu
Re: Aggiornamento di sicurezza 1.4.19
« Reply #1 on: August 12, 2008, 09:17:30 pm »

Gli utenti del Modpack di Stramm troveranno l'aggiornamento QUI
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 19 queries.